require 'dotnet'

loadLibrary 'System.Windows.Forms'
loadLibrary 'System.Drawing'

form = Form.new

lbl = System.Windows.Forms.Label.new
lbl.Text = "Test..."
lbl.Location = Point.new(10, 20)

button = Button.new
button.Text = "Click me"
button.Location = Point.new(10, 50)
button.add_click( 
	proc { lbl.Text = System.DateTime.Now.ToLongTimeString() } )

form.show

form.Controls.Add(button)
form.Controls.Add(lbl)

System.Windows.Forms.Application.Run form

